- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_node – NetApp Element Software Node Operation

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Add, remove cluster node on Element Software Cluster.

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
node_id - / required |  | List of IDs or Names or IP Address of nodes from cluster used for operation.
password - / required |  | Password for the specified user. aliases: pass
state - | Choices: present ← absent | Element Software Storage Node operation state. present - To add pending node to participate in cluster data storage. absent - To remove node from active cluster. A node cannot be removed if active drives are present.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Add node from pending to active cluster
      tags:
      - elementsw_add_node
      na_elementsw_node:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        node_id: sf4805-meg-03

    - name: Remove active node from cluster
      tags:
      - elementsw_remove_node
      na_elementsw_node:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: absent
        node_id: 13

    - name: Add node from pending to active cluster using node IP
      tags:
      - elementsw_add_node_ip
      na_elementsw_node:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        node_id: 10.109.48.65

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.